<?php

require('include/glob.php');
require('include/muoribene.php');
require('include/sessionstart.php');

require('include/menu.php');
$menu['istanze']['href']=null;
$menu['istanze']['selected']=true;
$menu['istanze']['submenu']['modifica']['href']=null;
$menu['istanze']['submenu']['modifica']['selected']=true;
buildmenu($menu);

require('include/myconn.php');

$dbg='';

use function mysqli_real_escape_string as myesc;

// praticamente una macro
function hspech($str) {
	return(htmlspecialchars($str,ENT_QUOTES|ENT_HTML5,'UTF-8'));
}

$dbg.='<pre>'.print_r($_POST,1).'</pre>';


mysqli_close($link);

?>
<!DOCTYPE HTML>
<html lang="it">
<head>
<title>Mastodon Startpage Admin - Modifica di «<?php //echo($data['URI']); ?>»</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="description" content="Admin pages for Mastodon Startpage">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
<link rel="icon" type="image/png" href="imgs/icona-32.png" sizes="32x32">
<link rel="icon" type="image/png" href="imgs/icona-192.png" sizes="192x192">
<link rel="icon" type="image/png" href="imgs/icona-512.png" sizes="512x512">
<link rel="apple-touch-icon-precomposed" href="imgs/icona-180.png">
<script language="JavaScript" src="js/confirma.js?v=<?php echo($cjrand); ?>"></script>
<script language="JavaScript" src="js/alerta.js?v=<?php echo($cjrand); ?>"></script>
<link rel="stylesheet" type="text/css" href="theme.css?v=<?php echo($cjrand); ?>">
<script language="JavaScript">
<!--
function chulsh(el,sh) {
	if (sh)
		el.querySelector('ul').style.display='block';
	else
		el.querySelector('ul').style.display='none';
}
function ulsh(el,sh) {
	if (sh)
		el.style.display='block';
	else
		el.style.display='none';
}
//-->
</script>
</head>
<body>

<nav>
<div id="hmenu">
<ul>
<?php echo($menuout); ?>
</ul>
<div id="rightdiv">
<a href="logout.php" class="rlinks"><img src="imgs/esci.svg" title="Esci"></a>
</div>
</nav>

<div id="popup">
<div id="inpopup">
<div id="popupcont">
...
</div>
</div>
</div>

<!-- <div id="footer">
</div> -->

<div id="debug">
<?php //echo($dbg); ?>
</div>

<div id="fullscreen">
<div id="middlerow">
<table class="edtab">
<tr><td class="insthead">Ciao sono una istanza</td></tr>
<tr><td>
<table class="cbtab">
<tr><td><label for="Blacklisted">Blacklistata</label></td><td>&nbsp;<input type="checkbox" name="Blacklisted" id="Blacklisted"></td></tr>
<tr><td><label for="New">Nuova</label></td><td>&nbsp;<input type="checkbox" name="New" id="New"></td></tr>
<tr><td><label for="Good">Papabile</label></td><td>&nbsp;<input type="checkbox" name="Good" id="Good"></td></tr>
<tr><td><label for="Chosen">Scelta</label></td><td>&nbsp;<input type="checkbox" name="Chosen" id="Chosen"></td></tr>
<tr><td><label for="Visible">Visibile</label></td><td>&nbsp;<input type="checkbox" name="Visible" id="Visible"></td></tr>
</table>
<div class="ruler"></div>
<div class="tit"><label for="OurDesc">Descrizione nostra</label></div>
<textarea name="OurDesc" id="OurDesc" rows="10" class="tarea"></textarea>
<div class="ruler"></div>
<div class="tit"><label for="LocalityID">Località</label></div>
<input type="text" placeholder="Cerca ..." class="search">
<select id="LocalityID" size="10" class="mselect">
<option value="1">Giamaica</option>
<option value="2">Angariate</option>
</select>
<div class="ruler"></div>
<div class="tit"><label for="Languages">Lingue</label></div>
<input type="text" placeholder="Cerca ..." class="search">
<table class="picktab">
<tr>
<td style="width:99%;">
<select id="DispLangs" multiple size="10" class="mselect">
<option value="1">Inglese</option>
<option value="2">Esperanto</option>
</select>
<img src="imgs/carica.svg" style="float:left;"><img src="imgs/salva.svg" style="float:right;">
</td>
<td style="width:1%;">
<div style="width:22px;"><img src="imgs/carica.svg"></div>
<div style="width:22px;"><img src="imgs/carica.svg"></div>
<div style="width:22px;"><img src="imgs/carica.svg"></div>
</td>
</tr>
<tr>
<td style="width:99%;">
<select id="ChosenLangs" multiple size="10" class="mselect">
<option value="3">Italiano</option>
<option value="4">Lappone</option>
</select>
</td>
<td style="width:1%;">
<div style="width:22px;"><img src="imgs/carica.svg"></div>
<div style="width:22px;"><img src="imgs/carica.svg"></div>
<div style="width:22px;"><img src="imgs/carica.svg"></div>
</td>
</tr>
</table>
</td></tr>
</table>
</div>
</div>

</body>
</html>
